Subject: bug#46881: 28.0.50; pdumper dumping causes way too many syscalls

From: Alan Third <[email-masked]>
Date: Wed, 3 Mar 2021 19:57:59 +0000

On Wed, Mar 03, 2021 at 07:10:28AM +0000, Pip Cet wrote:
> > My quick test on macOS by doing:
> >
> > rm src/*.pdmp
> > time make
> >
> > sees it going from ~26s without patch to ~10s with patch, so a
> > considerable improvement.
> 
> Thanks for testing!
> 
> > > > Patch will be attached once this has a bug number.
> > >
> > > And here's the patch. Testing would be very appreciated.
> >
> > It appears to work fine here, but I don't know if there's anything
> > specific to test other than just running Emacs.
> 
> I suspect there may be problems on systems with very little memory. Do
> you have an easy way to determine maximum resident size (on Debian
> GNU/Linux, /bin/time works)? It would be interesting to see if that's
> actually different.

I tried using time -l the same as above and both came  out with
roughly the same values, but I suspect that's probably just me getting
the values for running make.

Is there a better way of testing dumping?
-- 
Alan Third